public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/spice/
Date: Tue, 18 May 2021 17:16:24 +0000 (UTC)	[thread overview]
Message-ID: <1621358172.6942ec4572e9b228368bcfa846e9127f19c4f1b1.sam@gentoo> (raw)

commit:     6942ec4572e9b228368bcfa846e9127f19c4f1b1
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Tue May 18 15:07:47 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 18 17:16:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6942ec45

app-emulation/spice: Version bump to 0.15.0

Upstream commit c5fe3df1ef478adb93d93ddddc6ddcdecd24d2d9

Closes: https://bugs.gentoo.org/780027
Upstream-PR: https://gitlab.freedesktop.org/spice/spice/-/merge_requests/174
Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/spice/Manifest            |   2 +
 app-emulation/spice/spice-0.15.0.ebuild | 104 ++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/app-emulation/spice/Manifest b/app-emulation/spice/Manifest
index 7b50d54451c..0135aefa813 100644
--- a/app-emulation/spice/Manifest
+++ b/app-emulation/spice/Manifest
@@ -1 +1,3 @@
 DIST spice-0.14.3.tar.bz2 1504304 BLAKE2B be655e1d4c48dae29903ab8e0dc52da63723e3252052afccc9587065531f28c8af7dbab4c585093f26d98f2273c6e734a553c18d4779a9f4464334ae1764f682 SHA512 9ecdc455ff25c71ac1fe6c576654b51efbfb860110bd6828065d23f7462d5c5cac772074d1a40f033386258d970b77275b2007bcfdffb23fdff2137154ea46e4
+DIST spice-0.15.0-pthread-c5fe3df1.patch.bz2 7605 BLAKE2B 86b8094a22a02080db038ef98972bf09f391d5344fee8df2aa7d2def0b50a581353cb0e3dd97f99bbd58b88a13ceac4b54be8086a9f4274f38d132b27b62e84d SHA512 5075bd260b33c2dad8c3ce641372383871f7d69190a4f4697bd5e12af1bf5429310c592961de001d36c19a9cdd91143b8d6e8be0e08b3850b9700c2aef2ddd78
+DIST spice-0.15.0.tar.bz2 1537970 BLAKE2B 98e8f55de81a86c6370e4a74c0fd90db78a9a8e8e3af536bccd6a2a75185194ac7b87521163090c4312e392d2ee10036c0283171c7796aea630e1307128a2d55 SHA512 0a776d191c395ce1f7ebbbac47956a00a2765327d3127aeca6e232bd56fd4ccd28750ae1599eb6eb2909ac909cda517d5511faa631166db16b8b75bd4e7b86d9

diff --git a/app-emulation/spice/spice-0.15.0.ebuild b/app-emulation/spice/spice-0.15.0.ebuild
new file mode 100644
index 00000000000..30f4642538d
--- /dev/null
+++ b/app-emulation/spice/spice-0.15.0.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit autotools python-any-r1 readme.gentoo-r1 xdg-utils
+
+DESCRIPTION="SPICE server"
+HOMEPAGE="https://www.spice-space.org/"
+SRC_URI="https://www.spice-space.org/download/releases/spice-server/${P}.tar.bz2"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-pthread-c5fe3df1.patch.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="lz4 sasl smartcard static-libs gstreamer test"
+
+RESTRICT="!test? ( test )"
+
+# the libspice-server only uses the headers of libcacard
+RDEPEND="
+	dev-lang/orc[static-libs(+)?]
+	>=dev-libs/glib-2.22:2[static-libs(+)?]
+	media-libs/opus[static-libs(+)?]
+	sys-libs/zlib[static-libs(+)?]
+	virtual/jpeg:0=[static-libs(+)?]
+	>=x11-libs/pixman-0.17.7[static-libs(+)?]
+	dev-libs/openssl:0=[static-libs(+)?]
+	lz4? ( app-arch/lz4:0=[static-libs(+)?] )
+	smartcard? ( >=app-emulation/libcacard-0.1.2 )
+	sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] )
+	gstreamer? (
+		media-libs/gstreamer:1.0
+		media-libs/gst-plugins-base:1.0
+	)"
+DEPEND="${RDEPEND}
+	>=app-emulation/spice-protocol-0.14.0
+	smartcard? ( app-emulation/qemu[smartcard] )
+	test? ( net-libs/glib-networking )"
+BDEPEND="${PYTHON_DEPS}
+	virtual/pkgconfig
+	$(python_gen_any_dep '
+		>=dev-python/pyparsing-1.5.6-r2[${PYTHON_USEDEP}]
+		dev-python/six[${PYTHON_USEDEP}]
+	')"
+
+PATCHES=(
+	"${WORKDIR}"/${P}-pthread-c5fe3df1.patch
+)
+
+python_check_deps() {
+	has_version -b ">=dev-python/pyparsing-1.5.6-r2[${PYTHON_USEDEP}]"
+	has_version -b "dev-python/six[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	# Prevent sandbox violations, bug #586560
+	# https://bugzilla.gnome.org/show_bug.cgi?id=744134
+	# https://bugzilla.gnome.org/show_bug.cgi?id=744135
+	addpredict /dev
+
+	xdg_environment_reset
+
+	local myconf="
+		$(use_enable static-libs static)
+		$(use_enable lz4)
+		$(use_with sasl)
+		$(use_enable smartcard)
+		$(use_enable test tests)
+		--enable-gstreamer=$(usex gstreamer "1.0" "no")
+		--disable-celt051
+		"
+	econf ${myconf}
+}
+
+src_compile() {
+	# Prevent sandbox violations, bug #586560
+	# https://bugzilla.gnome.org/show_bug.cgi?id=744134
+	# https://bugzilla.gnome.org/show_bug.cgi?id=744135
+	addpredict /dev
+
+	default
+}
+
+src_install() {
+	default
+	use static-libs || find "${D}" -name '*.la' -type f -delete || die
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2021-05-18 17:16 UTC|newest]

Thread overview: 96+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-18 17:16 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-21 10:03 [gentoo-commits] repo/gentoo:master commit in: app-emulation/spice/ Sam James
2024-04-24  6:10 Joonas Niilola
2023-07-11  8:43 Jakov Smolić
2023-07-08  3:39 Sam James
2023-07-07 10:14 Sam James
2023-07-07  4:40 Sam James
2023-05-28  7:28 Joonas Niilola
2023-05-16  4:12 Sam James
2023-05-14  8:48 Sam James
2023-05-10  0:29 Sam James
2023-05-10  0:29 Sam James
2023-03-16 14:04 Arthur Zamarin
2023-03-04  8:56 Joonas Niilola
2023-03-04  6:08 Arthur Zamarin
2023-02-16 17:13 Michał Górny
2022-12-18  3:20 John Helmert III
2022-12-18  2:35 John Helmert III
2022-06-08  8:45 Agostino Sarubbo
2022-06-07  8:20 Joonas Niilola
2022-06-07  8:20 Joonas Niilola
2022-06-07  7:07 Jakov Smolić
2022-06-07  5:54 Sam James
2022-05-19 12:19 WANG Xuerui
2022-01-23  8:05 Yixun Lan
2022-01-05 16:10 Mart Raudsepp
2022-01-03  0:11 Georgy Yakovlev
2021-12-27 17:09 Mart Raudsepp
2021-07-24 18:59 John Helmert III
2021-05-18 20:40 Ulrich Müller
2021-05-18 20:05 Ulrich Müller
2021-04-30 19:04 Mikle Kolyada
2021-04-10  4:24 Sam James
2021-04-09 22:24 Sam James
2021-04-09 22:20 Sam James
2021-04-07 12:53 Ben Kohler
2021-04-06 19:49 Sam James
2021-04-04 22:17 Matthias Maier
2021-04-04 18:54 Matthias Maier
2020-11-07  3:49 Georgy Yakovlev
2020-08-19 22:40 Sam James
2020-06-08  2:41 Georgy Yakovlev
2020-05-15 19:38 Andreas Sturmlechner
2020-03-27  9:30 James Le Cuirot
2020-03-15 18:41 Agostino Sarubbo
2020-03-15 18:26 Agostino Sarubbo
2020-03-14 21:44 Matthias Maier
2020-03-14 20:54 Matthias Maier
2019-09-22  2:29 Matthias Maier
2019-09-22  2:29 Matthias Maier
2019-07-28 19:39 Matthias Maier
2019-07-28 19:39 Matthias Maier
2019-07-28 19:39 Matthias Maier
2018-12-03  2:43 Jonathan Callen
2018-08-20  0:41 Matthias Maier
2018-08-18 23:16 Mikle Kolyada
2018-03-29 15:19 Thomas Deutschmann
2018-03-19 19:50 Agostino Sarubbo
2018-03-19 15:41 Matthias Maier
2018-03-19 15:41 Matthias Maier
2018-01-20 14:58 Aaron Bauman
2017-09-07  7:12 Yixun Lan
2017-08-18 21:02 Thomas Deutschmann
2017-08-17 17:06 Michał Górny
2017-07-15  9:57 Tobias Klausmann
2017-05-13 23:21 Matthias Maier
2017-05-13 22:55 Matthias Maier
2017-05-13 22:55 Matthias Maier
2017-05-11  8:37 Agostino Sarubbo
2017-05-11  7:51 Agostino Sarubbo
2017-05-11  5:07 Matthias Maier
2017-04-21 17:36 Pacho Ramos
2016-11-23 10:04 Yixun Lan
2016-10-26 21:36 Patrice Clement
2016-09-10 13:58 Matthias Maier
2016-08-17 10:04 Patrick Lauer
2016-08-17  6:37 Yixun Lan
2016-08-08  4:53 Matthias Maier
2016-06-15 16:37 Matthias Maier
2016-06-15  7:18 Agostino Sarubbo
2016-06-14 19:02 Matthias Maier
2016-06-14 10:19 Agostino Sarubbo
2016-06-14  5:46 Matthias Maier
2016-06-14  4:14 Matthias Maier
2016-05-01 20:09 Matthias Maier
2016-05-01 20:09 Matthias Maier
2016-05-01 20:09 Matthias Maier
2016-05-01 20:09 Matthias Maier
2016-03-02  2:58 Doug Goldstein
2016-02-02 17:00 Manuel Rüger
2015-11-18 20:54 Matthias Maier
2015-11-18  8:57 Agostino Sarubbo
2015-11-17 13:25 Patrice Clement
2015-11-17 13:25 Patrice Clement
2015-11-16 16:53 Agostino Sarubbo
2015-11-15  7:46 Matthias Maier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1621358172.6942ec4572e9b228368bcfa846e9127f19c4f1b1.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox